GNU bug report logs - #29929
[PATCH 5/5] profiles: Sort manifest inputs for profile hooks.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: 宋文武 <iyzsong@HIDDEN>; Keywords: patch; merged with #29925, #29926, #29930; dated Mon, 1 Jan 2018 10:34:07 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 29925 29926 29929 29930. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 29925 29926 29929. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 29929 <at> debbugs.gnu.org:


Received: (at 29929) by debbugs.gnu.org; 1 Jan 2018 13:38:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 08:38:20 2018
Received: from localhost ([127.0.0.1]:59337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eW0IF-0007Rz-Va
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 08:38:20 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:44612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1eW0IE-0007Rq-GF
 for 29929 <at> debbugs.gnu.org; Mon, 01 Jan 2018 08:38:18 -0500
Received: from localhost (178.113.223.176.wireless.dyn.drei.com
 [178.113.223.176])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 82AA133600F4;
 Mon,  1 Jan 2018 14:38:17 +0100 (CET)
Date: Mon, 1 Jan 2018 14:38:16 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: =?UTF-8?Q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
Subject: Re: [bug#29929] [PATCH 5/5] profiles: Sort manifest inputs for
 profile hooks.
Message-ID: <20180101143816.19a4f147@HIDDEN>
In-Reply-To: <20180101103336.8613-6-iyzsong@HIDDEN>
References: <20180101103336.8613-1-iyzsong@HIDDEN>
 <20180101103336.8613-6-iyzsong@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  LGTM! [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [85.13.145.193 listed in list.dnswl.org]
 2.5 BODY_SINGLE_WORD       Message body is only one word (no spaces)
X-Debbugs-Envelope-To: 29929
Cc: 29929 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  LGTM! [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [85.13.145.193 listed in list.dnswl.org]
  2.5 BODY_SINGLE_WORD       Message body is only one word (no spaces)

LGTM!




Information forwarded to guix-patches@HIDDEN:
bug#29929; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jan 2018 10:34:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 01 05:34:01 2018
Received: from localhost ([127.0.0.1]:59256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVxPt-0000tl-6I
	for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:34:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPq-0000sd-UI
 for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPk-0004Qd-MN
 for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55040)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <iyzsong@HIDDEN>)
 id 1eVxPk-0004QU-JC
 for submit <at> debbugs.gnu.org; Mon, 01 Jan 2018 05:33:52 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48726)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPi-0006LD-GX
 for guix-patches@HIDDEN; Mon, 01 Jan 2018 05:33:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <iyzsong@HIDDEN>) id 1eVxPh-0004O0-6S
 for guix-patches@HIDDEN; Mon, 01 Jan 2018 05:33:50 -0500
Received: from rezeros.cc ([2001:19f0:7001:2f3e:5400:ff:fe84:e55d]:35544)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <iyzsong@HIDDEN>)
 id 1eVxPg-0004Km-Oe
 for guix-patches@HIDDEN; Mon, 01 Jan 2018 05:33:49 -0500
Received: from localhost (36.24.33.173 [36.24.33.173])
 by rezeros.cc (OpenSMTPD) with ESMTPSA id 24a5f4db
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 1 Jan 2018 10:33:19 +0000 (UTC)
Received: from localhost.localdomain (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 4a6bde0e;
 Mon, 1 Jan 2018 10:33:37 +0000 (UTC)
From: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 5/5] profiles: Sort manifest inputs for profile hooks.
Date: Mon,  1 Jan 2018 18:33:36 +0800
Message-Id: <20180101103336.8613-6-iyzsong@HIDDEN>
X-Mailer: git-send-email 2.14.1
In-Reply-To: <20180101103336.8613-1-iyzsong@HIDDEN>
References: <20180101103336.8613-1-iyzsong@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?=E5=AE=8B=E6=96=87=E6=AD=A6?= <iyzsong@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

* guix/profiles.scm (info-dir-file, manual-database, fonts-dir-file)
(ghc-package-cache-file, ca-certificate-bundle, gtk-icon-themes)
(gtk-im-modules, xdg-desktop-database, xdg-mime-database): Sort the result of
'manifest-inputs'.
---
 guix/profiles.scm | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/guix/profiles.scm b/guix/profiles.scm
index 7d69d1a53..5da4807ad 100644
--- a/guix/profiles.scm
+++ b/guix/profiles.scm
@@ -691,7 +691,7 @@ MANIFEST."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/share/info")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   ;; XXX: We have to pass paths of inputs instead of paths of info files,
   ;; because 'gexp-inputs' only adds inputs for strings which satisfies
@@ -739,7 +739,7 @@ entries of MANIFEST, or #f if MANIFEST does not have any GHC packages."
         (lambda (input)
           (file-exists? (string-append input "/lib/ghc-"
                                        #$(package-version ghc))))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (define (build inputs)
     (with-imported-modules '((guix build utils))
@@ -799,7 +799,7 @@ MANIFEST.  Single-file bundles are required by programs such as Git and Lynx."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/etc/ssl/certs")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (define glibc-utf8-locales                      ;lazy reference
     (module-ref (resolve-interface '(gnu packages base)) 'glibc-utf8-locales))
@@ -872,7 +872,7 @@ creates the GTK+ 'icon-theme.cache' file for each theme."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/share/icons")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (mlet %store-monad ((inputs interested)
                       (%gtk+ (manifest-lookup-package manifest "gtk+"))
@@ -935,7 +935,7 @@ for both major versions of GTK+."
            (filter
             (lambda (input)
               (not (null? (find-files input "^immodules$" #:directories? #t))))
-            '#$(manifest-inputs manifest))))))
+            (sort '#$(manifest-inputs manifest) string<))))))
 
   (mlet %store-monad ((inputs interested)
                       (gtk+   (manifest-lookup-package manifest "gtk+" "3"))
@@ -1015,7 +1015,7 @@ MIME type."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/share/applications")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (define desktop-file-utils            ; lazy reference
     (module-ref (resolve-interface '(gnu packages freedesktop))
@@ -1059,7 +1059,7 @@ entries.  It's used to query the MIME type of a given file."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/share/mime/packages")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (define shared-mime-info  ; lazy reference
     (module-ref (resolve-interface '(gnu packages gnome)) 'shared-mime-info))
@@ -1108,7 +1108,7 @@ files for the fonts of the @var{manifest} entries."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/share/fonts")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (define mkfontscale
     (module-ref (resolve-interface '(gnu packages xorg)) 'mkfontscale))
@@ -1182,7 +1182,7 @@ the entries in MANIFEST."
      #~(filter
         (lambda (input)
           (file-exists? (string-append input "/share/man")))
-        '#$(manifest-inputs manifest))))
+        (sort '#$(manifest-inputs manifest) string<))))
 
   (define gdbm-ffi
     (module-ref (resolve-interface '(gnu packages guile))
-- 
2.13.3





Acknowledgement sent to 宋文武 <iyzsong@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#29929; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Mar 2018 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.